models:
  Empty:
    description: Empty model. Used as default value when no model is specified.
    id: Empty
    properties: {}
  com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary:
    description: ''
    id: >-
      com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary
    properties:
      behaviorList:
        description: ''
        $ref: >-
          com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary.behaviorList
  com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary.behaviorList:
    description: ''
    id: >-
      com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary.behaviorList
    properties: {}
apiVersion: 'WC.TOOLKIT Enterprise Version : 9 Fix Pack : 4'
swaggerVersion: '1.2'
basePath: 'https://@localhost/wcs/resources'
apis:
  - path: '/store/{storeId}/user_behavior'
    operations:
      - summary: Get marketing tracking data for a user for the store.
        notes: ''
        method: GET
        responseClass: >-
          com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary
        secureCallMandatory: false
        partialAuthenticationAllowed: false
        nickname: getUserBehavior
        produces:
          - application/json
          - application/xml
        type: >-
          com.ibm.commerce.marketing.beans.UserBehaviorListDataBean_IBM_Admin_Summary
        parameters:
          - paramType: path
            name: storeId
            description: The store identifier.
            type: string
            required: true
            enum:
              - '0'
              - '10001'
              - '10501'
              - '11001'
              - '1'
              - '11501'
              - '2'
          - paramType: query
            allowMultiple: false
            name: userId
            description: The user ID
            type: string
            required: true
        responseMessages:
          - code: 200
            message: The requested completed successfully.
          - code: 400
            message: >-
              Bad request. Some of the inputs provided to the request aren't
              valid.
          - code: 401
            message: Not authenticated. The user session isn't valid.
          - code: 403
            message: The user isn't authorized to perform the specified request.
          - code: 404
            message: The specified resource couldn't be found.
          - code: 500
            message: >-
              Internal server error. Additional details will be contained on the
              server logs.
  - path: '/store/{storeId}/user_behavior/{userId}'
    operations:
      - summary: Delete the marketing tracking data for a user for the store.
        notes: ''
        method: DELETE
        responseClass: Empty
        secureCallMandatory: false
        partialAuthenticationAllowed: false
        nickname: deleteUserBehavior
        produces:
          - application/json
          - application/xml
          - application/xhtml+xml
          - application/atom+xml
        type: Empty
        parameters:
          - paramType: path
            name: storeId
            description: The store identifier.
            type: string
            required: true
            enum:
              - '0'
              - '10001'
              - '10501'
              - '11001'
              - '1'
              - '11501'
              - '2'
          - paramType: path
            name: userId
            format: int64
            description: The user ID
            type: integer
            required: true
        responseMessages:
          - code: 200
            message: The requested completed successfully.
          - code: 400
            message: >-
              Bad request. Some of the inputs provided to the request aren't
              valid.
          - code: 401
            message: Not authenticated. The user session isn't valid.
          - code: 403
            message: The user isn't authorized to perform the specified request.
          - code: 404
            message: The specified resource couldn't be found.
          - code: 500
            message: >-
              Internal server error. Additional details will be contained on the
              server logs.
resourcePath: 'store/{storeId}/user_behavior'
description: >-
  This class provides RESTful services to get and delete user behavior for
  marketing purpose. 
